VULKAN_HPP_NAMESPACE::SwapchainCounterCreateInfoEXT Struct Reference

`#include <vulkan.hpp>`

Collaboration diagram for VULKAN_HPP_NAMESPACE::SwapchainCounterCreateInfoEXT:
[legend]

## Public Member Functions

| SwapchainCounterCreateInfoEXT (SurfaceCounterFlagsEXT surfaceCounters_=SurfaceCounterFlagsEXT())
| SwapchainCounterCreateInfoEXT (VkSwapchainCounterCreateInfoEXT const &rhs)
SwapchainCounterCreateInfoEXT & | operator= (VkSwapchainCounterCreateInfoEXT const &rhs)
SwapchainCounterCreateInfoEXT & | setPNext (const void *pNext_)
SwapchainCounterCreateInfoEXT & | setSurfaceCounters (SurfaceCounterFlagsEXT surfaceCounters_)
| operator VkSwapchainCounterCreateInfoEXT const & () const
| operator VkSwapchainCounterCreateInfoEXT & ()
bool | operator== (SwapchainCounterCreateInfoEXT const &rhs) const
bool | operator!= (SwapchainCounterCreateInfoEXT const &rhs) const

## Data Fields

const void * | pNext = nullptr
SurfaceCounterFlagsEXT | surfaceCounters

## Private Attributes

StructureType | sType = StructureType::eSwapchainCounterCreateInfoEXT

## Detailed Description

Definition at line 33665 of file vulkan.hpp.

## Constructor & Destructor Documentation

## SwapchainCounterCreateInfoEXT() [1/2]

VULKAN_HPP_NAMESPACE::SwapchainCounterCreateInfoEXT::SwapchainCounterCreateInfoEXT | ( | SurfaceCounterFlagsEXT | surfaceCounters_ = `SurfaceCounterFlagsEXT()` | ) |

inline

Definition at line 33667 of file vulkan.hpp.

: surfaceCounters( surfaceCounters_ )
{
}

## SwapchainCounterCreateInfoEXT() [2/2]

VULKAN_HPP_NAMESPACE::SwapchainCounterCreateInfoEXT::SwapchainCounterCreateInfoEXT | ( | VkSwapchainCounterCreateInfoEXT const & | rhs | ) |

inline

Definition at line 33672 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( SwapchainCounterCreateInfoEXT ) );
}

References memcpy.

## Member Function Documentation

## operator VkSwapchainCounterCreateInfoEXT &()

VULKAN_HPP_NAMESPACE::SwapchainCounterCreateInfoEXT::operator VkSwapchainCounterCreateInfoEXT & | ( |  | ) |

inline

Definition at line 33699 of file vulkan.hpp.

{
return *reinterpret_cast<VkSwapchainCounterCreateInfoEXT*>(this);
}

## operator VkSwapchainCounterCreateInfoEXT const &()

VULKAN_HPP_NAMESPACE::SwapchainCounterCreateInfoEXT::operator VkSwapchainCounterCreateInfoEXT const & | ( |  | ) | const

inline

Definition at line 33694 of file vulkan.hpp.

{
return *reinterpret_cast<const VkSwapchainCounterCreateInfoEXT*>(this);
}

## operator!=()

bool VULKAN_HPP_NAMESPACE::SwapchainCounterCreateInfoEXT::operator!= | ( | SwapchainCounterCreateInfoEXT const & | rhs | ) | const

inline

Definition at line 33711 of file vulkan.hpp.

{
return !operator==( rhs );
}

References operator==().

## operator=()

SwapchainCounterCreateInfoEXT& VULKAN_HPP_NAMESPACE::SwapchainCounterCreateInfoEXT::operator= | ( | VkSwapchainCounterCreateInfoEXT const & | rhs | ) |

inline

Definition at line 33677 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( SwapchainCounterCreateInfoEXT ) );
return *this;
}

References memcpy.

## operator==()

bool VULKAN_HPP_NAMESPACE::SwapchainCounterCreateInfoEXT::operator== | ( | SwapchainCounterCreateInfoEXT const & | rhs | ) | const

inline

Definition at line 33704 of file vulkan.hpp.

{
return ( sType == rhs.sType )
&& ( pNext == rhs.pNext )
&& ( surfaceCounters == rhs.surfaceCounters );
}

References pNext, sType, and surfaceCounters.

Referenced by operator!=().

## setPNext()

SwapchainCounterCreateInfoEXT& VULKAN_HPP_NAMESPACE::SwapchainCounterCreateInfoEXT::setPNext | ( | const void * | pNext_ | ) |

inline

Definition at line 33682 of file vulkan.hpp.

{
pNext = pNext_;
return *this;
}

References pNext.

## setSurfaceCounters()

SwapchainCounterCreateInfoEXT& VULKAN_HPP_NAMESPACE::SwapchainCounterCreateInfoEXT::setSurfaceCounters | ( | SurfaceCounterFlagsEXT | surfaceCounters_ | ) |

inline

Definition at line 33688 of file vulkan.hpp.

{
surfaceCounters = surfaceCounters_;
return *this;
}

References surfaceCounters.

## Field Documentation

## pNext

const void* VULKAN_HPP_NAMESPACE::SwapchainCounterCreateInfoEXT::pNext = nullptr

Definition at line 33720 of file vulkan.hpp.

Referenced by operator==(), and setPNext().

## sType

StructureType VULKAN_HPP_NAMESPACE::SwapchainCounterCreateInfoEXT::sType = StructureType::eSwapchainCounterCreateInfoEXT

private

Definition at line 33717 of file vulkan.hpp.

Referenced by operator==().

## surfaceCounters

SurfaceCounterFlagsEXT VULKAN_HPP_NAMESPACE::SwapchainCounterCreateInfoEXT::surfaceCounters

Definition at line 33721 of file vulkan.hpp.

Referenced by operator==(), and setSurfaceCounters().

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan.hpp

VULKAN_HPP_NAMESPACE::SwapchainCounterCreateInfoEXT::SwapchainCounterCreateInfoEXT
SwapchainCounterCreateInfoEXT(SurfaceCounterFlagsEXT surfaceCounters_=SurfaceCounterFlagsEXT())
Definition: vulkan.hpp:33667
VULKAN_HPP_NAMESPACE::SwapchainCounterCreateInfoEXT::surfaceCounters
SurfaceCounterFlagsEXT surfaceCounters
Definition: vulkan.hpp:33721
memcpy
#define memcpy
Definition: SDL_malloc.c:630
VkSwapchainCounterCreateInfoEXT
Definition: vulkan_core.h:7109
VULKAN_HPP_NAMESPACE::SwapchainCounterCreateInfoEXT::sType
StructureType sType
Definition: vulkan.hpp:33717
VULKAN_HPP_NAMESPACE::SwapchainCounterCreateInfoEXT::pNext
const void * pNext
Definition: vulkan.hpp:33720
VULKAN_HPP_NAMESPACE::SwapchainCounterCreateInfoEXT::operator==
bool operator==(SwapchainCounterCreateInfoEXT const &rhs) const
Definition: vulkan.hpp:33704